# replace with your own
model_dir='/shared/share_mala/implicitbayes/dataset_files/synthetic_data/binary_context/N=1000,D=10000,D_eval=10000,method=0111_logistic,dimX=5,one_X_per_col=False,flip//models/use_Y_linear_comparisons_flip_0111_logistic_sequential_dimX=5/fs_sequential:epochs=100,bs=500,lr=0.01,wd=0.01,MLP_layers=3,MLP_width=100,weight_factor=1,max_obs=500,repeat_suffstat=1,Zdim=2,sched=constant,suffstat_eps=1.0,useY,seed=2340923'

dimX=5;
T=500
num_imagined=500
num_arms=10
dgp='0111_logistic'
finite_horizon_alg=True
bandit_dir='bandit'
verbose=True
alg='sequential_context'
t2p='logistic'
extras=' --draw_X_samples True'
for env_idx in {0..500}
do
    for finite_horizon_alg in True #False
    do
        sleep .2
        echo $env_idx
        python -m run_bandit_psar --model_dir $model_dir --env_idx $env_idx --T $T --num_arms $num_arms --num_imagined $num_imagined --bandit_alg $alg --dgp $dgp --finite_horizon_alg $finite_horizon_alg --X_dim $dimX --bandit_dir $bandit_dir  --t2p $t2p --verbose $verbose $extras
done
done


